#include "FE_Vector.h"
#include "../dataType/Number.h"



	/*
	 * flag=0 -> set
	 * flag=1 -> accumulation
	 */
void  FE_Vector::realization(Number* coef, int flag)
{
	int i;
	
	for(i=0;i<this->size;i++)
	{
		if(flag==0)
		{
			VarFactory::setVar(this->varIds[i], coef->times(this->coefs->getElement(0,i)));
		}
		if(flag==1)
		{
			VarFactory::accumVar(this->varIds[i], coef->times(this->coefs->getElement(0,i)));
		}
		
	}
}


FE_Vector::FE_Vector()
{
}

FE_Vector::~FE_Vector()
{
}
